POST
/checks/listList checks
Returns a cursor-paginated page of restore checks from the requested project.
Send request
Use the documented inputs to call this endpoint directly.
API serverbase URL
Request body
application/jsonrequiredResponses
200application/json
Check page.
{
"status": "success",
"data": {
"checks": [
{
"id": "65f0c7a9a7d6b4e2c1234567",
"project_id": "65f0c7a9a7d6b4e2c1234567",
"status": "queued",
"started_from": "manual",
"worker": {
"id": "65f0c7a9a7d6b4e2c1234567",
"name": "string",
"country": "string"
},
"payload": {},
"result": {
"exit_code": 1,
"verify_output": "string",
"error_message": "string",
"artifact": {
"filename": "string",
"key": "string",
"location": "string",
"size_bytes": 1,
"listed_size_bytes": 1,
"last_modified": "2026-01-01T00:00:00Z",
"sha256": "string",
"complete": true
}
},
"audit": {
"status": "none",
"audit_hash": "string"
},
"created_at": "2026-01-01T00:00:00Z",
"started_at": "2026-01-01T00:00:00Z",
"finished_at": "2026-01-01T00:00:00Z",
"planned_run_at": "2026-01-01T00:00:00Z"
}
]
},
"pagination": {
"limit": 1,
"has_more": true,
"next_cursor": {
"after_id": "65f0c7a9a7d6b4e2c1234567",
"after_value": "2026-01-01T00:00:00Z"
},
"filter_scan_truncated": true
},
"sort": "string",
"filters": {
"schedule_id": "65f0c7a9a7d6b4e2c1234567",
"schedule_name": "string",
"engine": "string",
"worker_id": "65f0c7a9a7d6b4e2c1234567",
"status": "queued",
"started_from": "manual",
"created_at_since": "2026-01-01T00:00:00Z"
}
}400application/json
The request body, parameter, filter, cursor, or project-scoping pattern is invalid.
{
"status": "error",
"message": "string",
"code": "string",
"detail": {},
"quota": {
"key": "string",
"limit": 1,
"used": 1
},
"feature": "string",
"dependency": "string"
}statusstringrequired
messagestringrequired
codestringoptional
Stable machine-readable code when the error defines one.
detailobjectoptional
quotaoptional
featurestringoptional
dependencystringoptional
401application/json
Authentication is missing or the credential is invalid, inactive, expired, or lacks the required scope.
{
"status": "error",
"message": "string",
"code": "string",
"detail": {},
"quota": {
"key": "string",
"limit": 1,
"used": 1
},
"feature": "string",
"dependency": "string"
}statusstringrequired
messagestringrequired
codestringoptional
Stable machine-readable code when the error defines one.
detailobjectoptional
quotaoptional
featurestringoptional
dependencystringoptional
403application/json
The authenticated caller is not allowed to perform this operation.
{
"status": "error",
"message": "string",
"code": "string",
"detail": {},
"quota": {
"key": "string",
"limit": 1,
"used": 1
},
"feature": "string",
"dependency": "string"
}statusstringrequired
messagestringrequired
codestringoptional
Stable machine-readable code when the error defines one.
detailobjectoptional
quotaoptional
featurestringoptional
dependencystringoptional
Powered by heyo